<?php

include 'system/sys.php';
include 'system/funcs.php';

if (!isset ($us)) {
        header ('location: /');
        exit;
}

H ('Список мастеров', 'Список мастеров');

echo '<div class="list1">';
echo '<a href="/search.php">Поиск мастера</a><br/>';
echo 'Сортировать по:<br/>';
echo '<a href="/masters.php">Id</a> | <a href="/masters.php?sort=new">Новенькие</a> | <a href="/masters.php?sort=reit">Авторитетные</a> | <a href="/masters.php?sort=online">Онлайн</a>';
echo '</div>';

$items = DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `us`");
$items_per_page = 10;
$pages = ceil ( $items / $items_per_page );
$page = (int) $_GET['page'];

if ($page < 1) {
        $page = 1;
}

if ($page > $pages) {
        $page = $pages;
}
    
$start = $page * $items_per_page - $items_per_page;

switch ($_GET['sort']) {
        default:
        $sql  = 'ORDER BY `id`';
        $sort = 'id';
        break;
        case 'new':
        $sql = 'ORDER BY `reg` DESC';
        $sort = 'new';
        break;
        case 'reit':
        $sql = 'ORDER BY `reit` DESC';
        $sort = 'reit';
        break;
        case online:
        $sql = ' ORDER by `online` DESC';
        $sort = 'online';
        break;
}
	
$query = DB :: $dbs -> query ("SELECT `id`,`nick`,`reg`,`last`,`reit`,`online`,`mosh` FROM `us` $sql LIMIT $start, $items_per_page");
while ($u = $query -> fetch ()) {
        echo '<div class="lst">';
        echo uNick ($u['id']) . '<br/>';
        
        switch ($_GET['sort']) {
                default:
                echo ' Id: <b>' . $u['id'].'</b>';
                break;
                case 'new':
                echo 'Зарегестрирован: <b>' . datef ($u['reg']) . '</b>';
                break;
                case reit:
                echo ' Рейтинг: <b style="color:green;">' . $u['reit'] . '</b>';
                break;
                case online:
                
                echo ' Провёл на сайте: ';
                $d = floor ($u['online'] / 86400);
                $h = floor ($u['online'] / 3600);
                $m = floor ($u['online'] / 60);
                    if ($d != 0) {
                        echo '<b>' . endi ($d, array ('день', 'дня', 'дней')) . ' </b>';	
                }elseif ($h != 0) {
                        echo '<b>' . endi ($h, array ('час', 'часа', 'часов')) . ' </b>';	
                }elseif ($m != 0) {
                        echo '<b>' . endi ($m, array ('минуту', 'мунуты', 'минут')) . ' </b>';	
                }
                else {
                        echo '<b>' . endi ($u['online'], array ('секунду', 'секунды', 'секунд')) . ' </b>';	
                }

                break;
        }

        echo '</div>';
        
        if (DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `ban` WHERE (`us`='" . $u['id'] . "') AND (`end`>'" . time () . "')") !=0) {
                echo '<div class="list1"><b style="color:red;">Пользователь в бане!</b></div>';
        }

}

echo '<div class="lst">' . pages ('/masters/sort' . $sort) . '</div>';

F ();

?>